Subject: Re: bug#76234: [PATCH] Prefix argument implies recursive for project-remember/forget-under

From: Ship Mints <[email-masked]>
Date: Wed, 12 Feb 2025 15:20:50 -0500

You're right. I missed the "P" suffix! The elisp "Using Interactive"
documentation doesn't actually say a suffix works, it mentions only a P
prefix.

Perhaps if it's okay with you, I'll just update the docstrings (and
eliminate NEWS)?

On Wed, Feb 12, 2025 at 3:14 PM Dmitry Gutov <[email-masked]> wrote:

> Hi!
>
> On 12/02/2025 19:36, Ship Mints wrote:
> > Specifying a universal prefix argument when invoking 'project-remember-
> > projects-under' or 'project-forget-projects-under' now imply recursive.
> > This makes recursive interactive use easier.
>
> Are you sure that this doesn't work already? The "P" at the end of the
> (interactive ...) spec means that the value of the prefix goes into the
> last argument of the function, which is RECURSIVE.
>
> Both project-remember-projects-under and project-forget-projects-under
> use this instruction.
>